# Interface ICefDomVisitor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefDomVisitor = interface(ICefBaseRefCounted)`

## Description

Interface to implement for visiting the DOM. The functions of this interface will be called on the render process main thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domvisitor_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefDomVisitor

## Overview

### Methods

| `procedure visit(const document: ICefDomDocument);`

## Description

### Methods

| `procedure visit(const document: ICefDomDocument);`
Method executed for visiting the DOM. The document object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function. ###### Attributes GUID['{30398428-3196-4531-B968-2DDBED36F6B0}']

Generated by PasDoc 0.16.0-snapshot.